Name:           python-asttokens
Version:        2.4.1
Release:        %autorelease
Summary:        Module to annotate Python abstract syntax trees with source code positions

License:        Apache-2.0
URL:            https://pypi.python.org/pypi/asttokens
Source:         https://github.com/gristlabs/asttokens/archive/v%{version}/asttokens-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  git-core
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_version}dist(setuptools)
BuildRequires:  python%{python3_version}dist(setuptools-scm)
BuildRequires:  python%{python3_version}dist(wheel)
BuildRequires:  python%{python3_version}dist(pytest)
BuildRequires:  python%{python3_version}dist(astroid)
BuildRequires:  python%{python3_version}dist(six)

%global _description %{expand:
The asttokens module annotates Python abstract syntax trees (ASTs) with the
positions of tokens and text in the source code that generated them. This makes
it possible for tools that work with logical AST nodes to find the particular
text that resulted in those nodes, for example for automated refactoring or
highlighting.}

%description %_description

%package     -n python%{python3_pkgversion}-asttokens
Summary:        %{summary}
Requires:       %{py3_dist six}

%description -n python%{python3_pkgversion}-asttokens %_description

%prep
%autosetup -S git -p1 -n asttokens-%{version}
git tag %{version}

%build
%py3_build

%install
%py3_install

%check
# test_fixture9 and test_sys_modules tests are currently failing with Python 3.12
pytest-3 tests/ -v "${TEST_ARGS[@]}" -k "not test_fixture9 and not test_sys_modules"

%files -n python%{python3_pkgversion}-asttokens
%license LICENSE
%doc README.rst
%{python3_sitelib}/*

%changelog
%autochangelog
